BEGIN {
    bench_success_flag = 0
}

/^BENCHMARK-SUCESS-STATE/ { bench_success_flag = 1; system("pkill -f -SIGTERM qemu-system-riscv64")}
/^BENCHMARK-ERROR-STATE/ { bench_success_flag = 0; system("pkill -f -SIGTERM qemu-system-riscv64")}
    {print $0}

END {
    
    printf "Benchmark execution has finished ";

    if (bench_success_flag) {
        printf "successfully.\n";
        exit 0;
    } else {
        printf "with errors.\n";
        exit 1;
    }
}